// Code generated by go-swagger; DO NOT EDIT.

package restapi

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"encoding/json"
)

var (
	// SwaggerJSON embedded version of the swagger document used at generation time
	SwaggerJSON json.RawMessage
	// FlatSwaggerJSON embedded flattened version of the swagger document used at generation time
	FlatSwaggerJSON json.RawMessage
)

func init() {
	SwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "http"
  ],
  "swagger": "2.0",
  "info": {
    "title": "KubeClarity APIs",
    "version": "1.0.0"
  },
  "basePath": "/api",
  "paths": {
    "/applicationResources": {
      "get": {
        "summary": "Get application resources",
        "parameters": [
          {
            "$ref": "#/parameters/page"
          },
          {
            "$ref": "#/parameters/pageSize"
          },
          {
            "$ref": "#/parameters/applicationResourcesSortKey"
          },
          {
            "$ref": "#/parameters/sortDir"
          },
          {
            "$ref": "#/parameters/resourceNameIsFilter"
          },
          {
            "$ref": "#/parameters/resourceNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/resourceNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceNameContainsFilter"
          },
          {
            "$ref": "#/parameters/resourceHashIsFilter"
          },
          {
            "$ref": "#/parameters/resourceHashIsNotFilter"
          },
          {
            "$ref": "#/parameters/resourceHashStartsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceHashEndsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceHashContainsFilter"
          },
          {
            "$ref": "#/parameters/resourceTypeIsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityGteFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityLteFilter"
          },
          {
            "$ref": "#/parameters/cisDockerBenchmarkLevelGteFilter"
          },
          {
            "$ref": "#/parameters/cisDockerBenchmarkLevelLteFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationsGteFilter"
          },
          {
            "$ref": "#/parameters/applicationsLteFilter"
          },
          {
            "$ref": "#/parameters/packagesIsFilter"
          },
          {
            "$ref": "#/parameters/packagesIsNotFilter"
          },
          {
            "$ref": "#/parameters/packagesGteFilter"
          },
          {
            "$ref": "#/parameters/packagesLteFilter"
          },
          {
            "$ref": "#/parameters/reportingSBOMAnalyzersContainElementsFilter"
          },
          {
            "$ref": "#/parameters/reportingSBOMAnalyzersDoesntContainElementsFilter"
          },
          {
            "$ref": "#/parameters/applicationID"
          },
          {
            "$ref": "#/parameters/packageID"
          },
          {
            "$ref": "#/parameters/currentRuntimeScan"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of application resources in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/ApplicationResource"
                  }
                },
                "total": {
                  "description": "Total application resources count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/applicationResources/{id}": {
      "get": {
        "summary": "Get Application Resource",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/ApplicationResourceEx"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/applications": {
      "get": {
        "summary": "Get applications",
        "parameters": [
          {
            "$ref": "#/parameters/page"
          },
          {
            "$ref": "#/parameters/pageSize"
          },
          {
            "$ref": "#/parameters/applicationsSortKey"
          },
          {
            "$ref": "#/parameters/sortDir"
          },
          {
            "$ref": "#/parameters/applicationNameIsFilter"
          },
          {
            "$ref": "#/parameters/applicationNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/applicationNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/applicationNameContainsFilter"
          },
          {
            "$ref": "#/parameters/applicationTypeIsFilter"
          },
          {
            "$ref": "#/parameters/applicationLabelsContainElementsFilter"
          },
          {
            "$ref": "#/parameters/applicationLabelsDoesntContainElementsFilter"
          },
          {
            "$ref": "#/parameters/applicationEnvsContainElementsFilter"
          },
          {
            "$ref": "#/parameters/applicationEnvsDoesntContainElementsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityGteFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityLteFilter"
          },
          {
            "$ref": "#/parameters/cisDockerBenchmarkLevelGteFilter"
          },
          {
            "$ref": "#/parameters/cisDockerBenchmarkLevelLteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesGteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesLteFilter"
          },
          {
            "$ref": "#/parameters/packagesIsFilter"
          },
          {
            "$ref": "#/parameters/packagesIsNotFilter"
          },
          {
            "$ref": "#/parameters/packagesGteFilter"
          },
          {
            "$ref": "#/parameters/packagesLteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourceID"
          },
          {
            "$ref": "#/parameters/packageID"
          },
          {
            "$ref": "#/parameters/currentRuntimeScan"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of applications in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Application"
                  }
                },
                "total": {
                  "description": "Total applications count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      },
      "post": {
        "summary": "Create application",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "New application was created.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "409": {
            "description": "Application already exist.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/applications/contentAnalysis/{id}": {
      "post": {
        "summary": "Report a content analysis for a specific application",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationContentAnalysis"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Application content analysis successfully reported."
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/applications/vulnerabilityScan/{id}": {
      "post": {
        "summary": "Report a vulnerability scan for a specific application",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationVulnerabilityScan"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Application vulnerability scan successfully reported."
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/applications/{id}": {
      "get": {
        "summary": "Get Application.",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/ApplicationEx"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      },
      "put": {
        "summary": "Update Application.",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Update Application successful.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      },
      "delete": {
        "summary": "Delete Application.",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          }
        ],
        "responses": {
          "204": {
            "description": "Success"
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/counters": {
      "get": {
        "summary": "Get number of applications, resources, packages and vulnerabilities",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/DashboardCounters"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/mostVulnerable": {
      "get": {
        "summary": "Get top 5 most vulnerable applications, resources and packages",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/MostVulnerable"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/packagesPerLanguage": {
      "get": {
        "summary": "Get packages count per language",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/PackagesCountPerLanguage"
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/packagesPerLicense": {
      "get": {
        "summary": "Get packages count per license type",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/PackagesCountPerLicense"
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/trends/vulnerabilities": {
      "get": {
        "summary": "Get new vulnerabilities trend",
        "parameters": [
          {
            "$ref": "#/parameters/startTime"
          },
          {
            "$ref": "#/parameters/endTime"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/NewVulnerabilitiesTrend"
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/dashboard/vulnerabilitiesWithFix": {
      "get": {
        "summary": "Get vulnerabilities with fix available per severity",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/VulnerabilitiesWithFix"
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/namespaces": {
      "get": {
        "summary": "Get list of namespaces in kubernetes cluster",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/Namespace"
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/packages": {
      "get": {
        "summary": "Get packages",
        "parameters": [
          {
            "$ref": "#/parameters/page"
          },
          {
            "$ref": "#/parameters/pageSize"
          },
          {
            "$ref": "#/parameters/packagesSortKey"
          },
          {
            "$ref": "#/parameters/sortDir"
          },
          {
            "$ref": "#/parameters/packageNameIsFilter"
          },
          {
            "$ref": "#/parameters/packageNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/packageNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/packageNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/packageNameContainsFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationsGteFilter"
          },
          {
            "$ref": "#/parameters/applicationsLteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesGteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesLteFilter"
          },
          {
            "$ref": "#/parameters/languageIsFilter"
          },
          {
            "$ref": "#/parameters/languageIsNotFilter"
          },
          {
            "$ref": "#/parameters/languageStartsWithFilter"
          },
          {
            "$ref": "#/parameters/languageEndsWithFilter"
          },
          {
            "$ref": "#/parameters/languageContainsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityGteFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityLteFilter"
          },
          {
            "$ref": "#/parameters/packageVersionIsFilter"
          },
          {
            "$ref": "#/parameters/packageVersionIsNotFilter"
          },
          {
            "$ref": "#/parameters/packageVersionStartsWithFilter"
          },
          {
            "$ref": "#/parameters/packageVersionEndsWithFilter"
          },
          {
            "$ref": "#/parameters/packageVersionContainsFilter"
          },
          {
            "$ref": "#/parameters/licenseIsFilter"
          },
          {
            "$ref": "#/parameters/licenseIsNotFilter"
          },
          {
            "$ref": "#/parameters/licenseStartsWithFilter"
          },
          {
            "$ref": "#/parameters/licenseEndsWithFilter"
          },
          {
            "$ref": "#/parameters/licenseContainsFilter"
          },
          {
            "$ref": "#/parameters/applicationID"
          },
          {
            "$ref": "#/parameters/applicationResourceID"
          },
          {
            "$ref": "#/parameters/currentRuntimeScan"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of packages in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Package"
                  }
                },
                "total": {
                  "description": "Total packages count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/packages/{id}": {
      "get": {
        "summary": "Get Package.",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/Package"
            }
          },
          "404": {
            "description": "Package ID not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/packages/{id}/applicationResources": {
      "get": {
        "summary": "Get Package application resources",
        "parameters": [
          {
            "$ref": "#/parameters/id"
          },
          {
            "$ref": "#/parameters/page"
          },
          {
            "$ref": "#/parameters/pageSize"
          },
          {
            "$ref": "#/parameters/packagesApplicationResourcesSortKey"
          },
          {
            "$ref": "#/parameters/sortDir"
          },
          {
            "$ref": "#/parameters/resourceNameIsFilter"
          },
          {
            "$ref": "#/parameters/resourceNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/resourceNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceNameContainsFilter"
          },
          {
            "$ref": "#/parameters/resourceHashIsFilter"
          },
          {
            "$ref": "#/parameters/resourceHashIsNotFilter"
          },
          {
            "$ref": "#/parameters/resourceHashStartsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceHashEndsWithFilter"
          },
          {
            "$ref": "#/parameters/resourceHashContainsFilter"
          },
          {
            "$ref": "#/parameters/reportingSBOMAnalyzersContainElementsFilter"
          },
          {
            "$ref": "#/parameters/reportingSBOMAnalyzersDoesntContainElementsFilter"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of package application resources in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/PackageApplicationResources"
                  }
                },
                "total": {
                  "description": "Total package application resources count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "404": {
            "description": "Package ID not found."
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/runtime/quickscan/config": {
      "get": {
        "summary": "Get runtime quick scan configuration",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/RuntimeQuickScanConfig"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      },
      "put": {
        "summary": "Set runtime quick scan configuration",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/RuntimeQuickScanConfig"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "$ref": "#/responses/Success"
            }
          },
          "400": {
            "description": "Failed to set quick scan config",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/runtime/scan/progress": {
      "get": {
        "summary": "Get scan progress",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/Progress"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/runtime/scan/results": {
      "get": {
        "summary": "Get scan results",
        "parameters": [
          {
            "$ref": "#/parameters/vulnerabilitySeverityGteFilter"
          },
          {
            "$ref": "#/parameters/cisDockerBenchmarkLevelGteFilter"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/RuntimeScanResults"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/runtime/scan/start": {
      "put": {
        "summary": "Start a runtime scan",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "description": "Runtime scan configuration",
              "$ref": "#/definitions/RuntimeScanConfig"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "$ref": "#/responses/Success"
            }
          },
          "400": {
            "description": "Scan failed to start",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/runtime/scan/stop": {
      "put": {
        "summary": "Stop a runtime scan",
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "$ref": "#/responses/Success"
            }
          },
          "400": {
            "description": "Scan failed to stop",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/vulnerabilities": {
      "get": {
        "summary": "Get vulnerabilities",
        "parameters": [
          {
            "$ref": "#/parameters/page"
          },
          {
            "$ref": "#/parameters/pageSize"
          },
          {
            "$ref": "#/parameters/vulnerabilitiesSortKey"
          },
          {
            "$ref": "#/parameters/sortDir"
          },
          {
            "$ref": "#/parameters/vulnerabilityNameIsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilityNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilityNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilityNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilityNameContainsFilter"
          },
          {
            "$ref": "#/parameters/packageNameIsFilter"
          },
          {
            "$ref": "#/parameters/packageNameIsNotFilter"
          },
          {
            "$ref": "#/parameters/packageNameStartsWithFilter"
          },
          {
            "$ref": "#/parameters/packageNameEndsWithFilter"
          },
          {
            "$ref": "#/parameters/packageNameContainsFilter"
          },
          {
            "$ref": "#/parameters/packageVersionIsFilter"
          },
          {
            "$ref": "#/parameters/packageVersionIsNotFilter"
          },
          {
            "$ref": "#/parameters/packageVersionStartsWithFilter"
          },
          {
            "$ref": "#/parameters/packageVersionEndsWithFilter"
          },
          {
            "$ref": "#/parameters/packageVersionContainsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityIsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityIsNotFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityGteFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySeverityLteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesGteFilter"
          },
          {
            "$ref": "#/parameters/applicationResourcesLteFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsFilter"
          },
          {
            "$ref": "#/parameters/applicationsIsNotFilter"
          },
          {
            "$ref": "#/parameters/applicationsGteFilter"
          },
          {
            "$ref": "#/parameters/applicationsLteFilter"
          },
          {
            "$ref": "#/parameters/hasFixVersion"
          },
          {
            "$ref": "#/parameters/reportingScannersContainElementsFilter"
          },
          {
            "$ref": "#/parameters/reportingScannersDoesntContainElementsFilter"
          },
          {
            "$ref": "#/parameters/vulnerabilitySourceIsFilter"
          },
          {
            "$ref": "#/parameters/applicationID"
          },
          {
            "$ref": "#/parameters/applicationResourceID"
          },
          {
            "$ref": "#/parameters/currentRuntimeScan"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of vulnerabilities in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Vulnerability"
                  }
                },
                "total": {
                  "description": "Total vulnerabilities count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    },
    "/vulnerabilities/{vul_id}/{pkg_id}": {
      "get": {
        "summary": "Get a vulnerability of a specific package",
        "parameters": [
          {
            "$ref": "#/parameters/vul_id"
          },
          {
            "$ref": "#/parameters/pkg_id"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/VulnerabilityEx"
            }
          },
          "default": {
            "$ref": "#/responses/UnknownError"
          }
        }
      }
    }
  },
  "definitions": {
    "ApiResponse": {
      "description": "An object that is returned in all cases of failures.",
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "Application": {
      "type": "object",
      "properties": {
        "applicationName": {
          "type": "string"
        },
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applicationType": {
          "$ref": "#/definitions/ApplicationType"
        },
        "cisDockerBenchmarkResults": {
          "description": "cis docker benchmark result count per level",
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "environments": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "id": {
          "type": "string"
        },
        "labels": {
          "type": "array",
          "items": {
            "description": "label in the format of key=value",
            "type": "string"
          }
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "vulnerabilities": {
          "description": "vulnerability count per severity",
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "ApplicationContentAnalysis": {
      "type": "object",
      "properties": {
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceContentAnalysis"
          }
        }
      }
    },
    "ApplicationEx": {
      "type": "object",
      "properties": {
        "application": {
          "$ref": "#/definitions/Application"
        },
        "licenses": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ApplicationInfo": {
      "type": "object",
      "required": [
        "name",
        "type"
      ],
      "properties": {
        "environments": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "id": {
          "description": "ID of the application as created by the backend.",
          "type": "string"
        },
        "labels": {
          "type": "array",
          "items": {
            "description": "label in the format of key=value",
            "type": "string"
          }
        },
        "name": {
          "type": "string"
        },
        "type": {
          "$ref": "#/definitions/ApplicationType"
        }
      }
    },
    "ApplicationResource": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "cisDockerBenchmarkResults": {
          "description": "cis docker benchmark result count per level",
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "id": {
          "type": "string"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "reportingSBOMAnalyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "resourceHash": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        },
        "resourceType": {
          "$ref": "#/definitions/ResourceType"
        },
        "vulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "ApplicationResourceEx": {
      "type": "object",
      "properties": {
        "applicationResource": {
          "$ref": "#/definitions/ApplicationResource"
        },
        "licenses": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ApplicationResourcesSortKey": {
      "type": "string",
      "enum": [
        "resourceName",
        "resourceHash",
        "resourceType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applications",
        "packages"
      ]
    },
    "ApplicationType": {
      "type": "string",
      "enum": [
        "POD",
        "DIRECTORY",
        "LAMBDA"
      ]
    },
    "ApplicationVulnerabilityScan": {
      "type": "object",
      "properties": {
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceVulnerabilityScan"
          }
        }
      }
    },
    "ApplicationsSortKey": {
      "type": "string",
      "enum": [
        "applicationName",
        "applicationType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applicationResources",
        "packages"
      ]
    },
    "AttackComplexity": {
      "type": "string",
      "enum": [
        "LOW",
        "HIGH"
      ]
    },
    "AttackVector": {
      "type": "string",
      "enum": [
        "NETWORK",
        "ADJACENT",
        "LOCAL",
        "PHYSICAL"
      ]
    },
    "Availability": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "CISDockerBenchmarkAssessment": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "desc": {
          "type": "string"
        },
        "filename": {
          "type": "string"
        },
        "level": {
          "type": "number",
          "format": "integer"
        }
      }
    },
    "CISDockerBenchmarkCodeInfo": {
      "type": "object",
      "properties": {
        "assessments": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkAssessment"
          }
        },
        "code": {
          "type": "string"
        },
        "level": {
          "type": "number",
          "format": "integer"
        }
      }
    },
    "CISDockerBenchmarkLevel": {
      "type": "string",
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ]
    },
    "CISDockerBenchmarkLevelCount": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "level": {
          "$ref": "#/definitions/CISDockerBenchmarkLevel"
        }
      }
    },
    "CISDockerBenchmarkScanCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "CVSS": {
      "type": "object",
      "properties": {
        "cvssV3Metrics": {
          "$ref": "#/definitions/CVSSV3Metrics"
        },
        "cvssV3Vector": {
          "$ref": "#/definitions/CVSSV3Vector"
        }
      }
    },
    "CVSSV3Metrics": {
      "type": "object",
      "properties": {
        "baseScore": {
          "type": "number"
        },
        "exploitabilityScore": {
          "type": "number"
        },
        "impactScore": {
          "type": "number"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "CVSSV3Vector": {
      "type": "object",
      "properties": {
        "attackComplexity": {
          "$ref": "#/definitions/AttackComplexity"
        },
        "attackVector": {
          "$ref": "#/definitions/AttackVector"
        },
        "availability": {
          "$ref": "#/definitions/Availability"
        },
        "confidentiality": {
          "$ref": "#/definitions/Confidentiality"
        },
        "integrity": {
          "$ref": "#/definitions/Integrity"
        },
        "privilegesRequired": {
          "$ref": "#/definitions/PrivilegesRequired"
        },
        "scope": {
          "$ref": "#/definitions/Scope"
        },
        "userInteraction": {
          "$ref": "#/definitions/UserInteraction"
        },
        "vector": {
          "type": "string"
        }
      }
    },
    "Confidentiality": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "DashboardCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "Integrity": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "MostVulnerable": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Application"
          }
        },
        "packages": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Package"
          }
        },
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ApplicationResource"
          }
        }
      }
    },
    "Namespace": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "NewVulnerabilitiesTrend": {
      "type": "object",
      "properties": {
        "numOfVuls": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        },
        "time": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "Package": {
      "type": "object",
      "properties": {
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "id": {
          "type": "string"
        },
        "language": {
          "type": "string"
        },
        "license": {
          "type": "string"
        },
        "packageName": {
          "type": "string"
        },
        "version": {
          "type": "string"
        },
        "vulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "PackageApplicationResources": {
      "type": "object",
      "properties": {
        "packageID": {
          "type": "string"
        },
        "reportingSBOMAnalyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "resourceHash": {
          "type": "string"
        },
        "resourceID": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        }
      }
    },
    "PackageContentAnalysis": {
      "type": "object",
      "properties": {
        "analyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "package": {
          "$ref": "#/definitions/PackageInfo"
        }
      }
    },
    "PackageInfo": {
      "type": "object",
      "properties": {
        "language": {
          "type": "string"
        },
        "license": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "version": {
          "type": "string"
        }
      }
    },
    "PackageVulnerabilityScan": {
      "type": "object",
      "properties": {
        "cvss": {
          "$ref": "#/definitions/CVSS"
        },
        "description": {
          "type": "string"
        },
        "fixVersion": {
          "type": "string"
        },
        "layerID": {
          "type": "string"
        },
        "links": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "package": {
          "$ref": "#/definitions/PackageInfo"
        },
        "scanners": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "vulnerabilityName": {
          "type": "string"
        }
      }
    },
    "PackagesApplicationResourcesSortKey": {
      "type": "string",
      "enum": [
        "resourceName",
        "resourceHash"
      ]
    },
    "PackagesCountPerLanguage": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "language": {
          "type": "string"
        }
      }
    },
    "PackagesCountPerLicense": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "license": {
          "type": "string"
        }
      }
    },
    "PackagesSortKey": {
      "type": "string",
      "enum": [
        "packageName",
        "applications",
        "applicationResources",
        "language",
        "vulnerabilities",
        "version",
        "license"
      ]
    },
    "PrivilegesRequired": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "Progress": {
      "type": "object",
      "properties": {
        "scanned": {
          "description": "Percentage of scanned images from total images (0-100)",
          "type": "integer"
        },
        "scannedNamespaces": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "status": {
          "$ref": "#/definitions/RuntimeScanStatus"
        }
      }
    },
    "ResourceContentAnalysis": {
      "type": "object",
      "properties": {
        "packages": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/PackageContentAnalysis"
          }
        },
        "resource": {
          "$ref": "#/definitions/ResourceInfo"
        }
      }
    },
    "ResourceInfo": {
      "type": "object",
      "properties": {
        "resourceHash": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        },
        "resourceType": {
          "$ref": "#/definitions/ResourceType"
        }
      }
    },
    "ResourceLayerCommand": {
      "description": "Container image layer with command.",
      "type": "object",
      "properties": {
        "command": {
          "type": "string"
        },
        "layer": {
          "type": "string"
        }
      }
    },
    "ResourceType": {
      "type": "string",
      "enum": [
        "IMAGE",
        "DIRECTORY",
        "FILE"
      ]
    },
    "ResourceVulnerabilityScan": {
      "type": "object",
      "properties": {
        "cisDockerBenchmarkResults": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkCodeInfo"
          }
        },
        "packageVulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/PackageVulnerabilityScan"
          }
        },
        "resource": {
          "$ref": "#/definitions/ResourceInfo"
        },
        "resourceLayerCommands": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceLayerCommand"
          }
        }
      }
    },
    "RuntimeQuickScanConfig": {
      "description": "Runtime quick scan configuration",
      "type": "object",
      "properties": {
        "cisDockerBenchmarkScanEnabled": {
          "type": "boolean"
        }
      }
    },
    "RuntimeScanConfig": {
      "type": "object",
      "properties": {
        "namespaces": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "RuntimeScanCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        },
        "vulnerabilities": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "RuntimeScanFailure": {
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "RuntimeScanResults": {
      "type": "object",
      "properties": {
        "cisDockerBenchmarkCountPerLevel": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "cisDockerBenchmarkCounters": {
          "$ref": "#/definitions/CISDockerBenchmarkScanCounters"
        },
        "cisDockerBenchmarkScanEnabled": {
          "description": "Indicates whether CIS docker benchmark scan was enabled",
          "type": "boolean"
        },
        "counters": {
          "$ref": "#/definitions/RuntimeScanCounters"
        },
        "failures": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/RuntimeScanFailure"
          }
        },
        "vulnerabilityPerSeverity": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "RuntimeScanStatus": {
      "description": "Status of a runtime scan",
      "type": "string",
      "enum": [
        "NOT_STARTED",
        "IN_PROGRESS",
        "FINALIZING",
        "DONE"
      ],
      "readOnly": true
    },
    "Scope": {
      "type": "string",
      "enum": [
        "UNCHANGED",
        "CHANGED"
      ]
    },
    "SuccessResponse": {
      "description": "An object that is returned in cases of success that returns nothing.",
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "UserInteraction": {
      "type": "string",
      "enum": [
        "NONE",
        "REQUIRED"
      ]
    },
    "VulnerabilitiesSortKey": {
      "type": "string",
      "enum": [
        "vulnerabilityName",
        "packageName",
        "packageVersion",
        "severity",
        "applications",
        "applicationResources",
        "fixVersion",
        "source"
      ]
    },
    "VulnerabilitiesWithFix": {
      "description": "Vulnerabilities count per severity (with fix and total).",
      "type": "object",
      "properties": {
        "countTotal": {
          "type": "integer",
          "format": "uint32"
        },
        "countWithFix": {
          "type": "integer",
          "format": "uint32"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "Vulnerability": {
      "type": "object",
      "properties": {
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "cvssBaseScore": {
          "type": "number"
        },
        "cvssSeverity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "fixVersion": {
          "type": "string"
        },
        "id": {
          "description": "Unique ID for the vulnerabilityID and packageID combination.",
          "type": "string"
        },
        "packageID": {
          "type": "string"
        },
        "packageName": {
          "type": "string"
        },
        "packageVersion": {
          "type": "string"
        },
        "reportingScanners": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "source": {
          "$ref": "#/definitions/VulnerabilitySource"
        },
        "vulnerabilityID": {
          "type": "string"
        },
        "vulnerabilityName": {
          "type": "string"
        }
      }
    },
    "VulnerabilityCount": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "VulnerabilityEx": {
      "type": "object",
      "properties": {
        "cvss": {
          "$ref": "#/definitions/CVSS"
        },
        "description": {
          "type": "string"
        },
        "links": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "scanDate": {
          "type": "string",
          "format": "date-time"
        },
        "vulnerability": {
          "$ref": "#/definitions/Vulnerability"
        }
      }
    },
    "VulnerabilitySeverity": {
      "type": "string",
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ]
    },
    "VulnerabilitySource": {
      "type": "string",
      "enum": [
        "CICD",
        "RUNTIME"
      ]
    }
  },
  "parameters": {
    "applicationEnvsContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationEnvs[containElements]",
      "in": "query"
    },
    "applicationEnvsDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationEnvs[doesntContainElements]",
      "in": "query"
    },
    "applicationID": {
      "type": "string",
      "description": "application ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "applicationID",
      "in": "query"
    },
    "applicationLabelsContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationLabels[containElements]",
      "in": "query"
    },
    "applicationLabelsDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationLabels[doesntContainElements]",
      "in": "query"
    },
    "applicationNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[contains]",
      "in": "query"
    },
    "applicationNameEndsWithFilter": {
      "type": "string",
      "name": "applicationName[end]",
      "in": "query"
    },
    "applicationNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[is]",
      "in": "query"
    },
    "applicationNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[isNot]",
      "in": "query"
    },
    "applicationNameStartsWithFilter": {
      "type": "string",
      "name": "applicationName[start]",
      "in": "query"
    },
    "applicationResourceID": {
      "type": "string",
      "description": "application resource ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "applicationResourceID",
      "in": "query"
    },
    "applicationResourcesGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "applicationResources[gte]",
      "in": "query"
    },
    "applicationResourcesIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applicationResources[is]",
      "in": "query"
    },
    "applicationResourcesIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applicationResources[isNot]",
      "in": "query"
    },
    "applicationResourcesLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "applicationResources[lte]",
      "in": "query"
    },
    "applicationResourcesSortKey": {
      "enum": [
        "resourceName",
        "resourceHash",
        "resourceType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applications",
        "packages"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "applicationTypeIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "POD",
          "DIRECTORY",
          "LAMBDA"
        ],
        "type": "string"
      },
      "name": "applicationType[is]",
      "in": "query"
    },
    "applicationsGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "applications[gte]",
      "in": "query"
    },
    "applicationsIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applications[is]",
      "in": "query"
    },
    "applicationsIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applications[isNot]",
      "in": "query"
    },
    "applicationsLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "applications[lte]",
      "in": "query"
    },
    "applicationsSortKey": {
      "enum": [
        "applicationName",
        "applicationType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applicationResources",
        "packages"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "cisDockerBenchmarkLevelGteFilter": {
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ],
      "type": "string",
      "name": "cisDockerBenchmarkLevel[gte]",
      "in": "query"
    },
    "cisDockerBenchmarkLevelLteFilter": {
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ],
      "type": "string",
      "name": "cisDockerBenchmarkLevel[lte]",
      "in": "query"
    },
    "currentRuntimeScan": {
      "type": "boolean",
      "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "currentRuntimeScan",
      "in": "query"
    },
    "endTime": {
      "type": "string",
      "format": "date-time",
      "description": "End time of the query",
      "name": "endTime",
      "in": "query",
      "required": true
    },
    "hasFixVersion": {
      "type": "boolean",
      "name": "hasFixVersion[is]",
      "in": "query"
    },
    "id": {
      "type": "string",
      "name": "id",
      "in": "path",
      "required": true
    },
    "languageContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[contains]",
      "in": "query"
    },
    "languageEndsWithFilter": {
      "type": "string",
      "name": "language[end]",
      "in": "query"
    },
    "languageIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[is]",
      "in": "query"
    },
    "languageIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[isNot]",
      "in": "query"
    },
    "languageStartsWithFilter": {
      "type": "string",
      "name": "language[start]",
      "in": "query"
    },
    "licenseContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[contains]",
      "in": "query"
    },
    "licenseEndsWithFilter": {
      "type": "string",
      "name": "license[end]",
      "in": "query"
    },
    "licenseIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[is]",
      "in": "query"
    },
    "licenseIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[isNot]",
      "in": "query"
    },
    "licenseStartsWithFilter": {
      "type": "string",
      "name": "license[start]",
      "in": "query"
    },
    "packageID": {
      "type": "string",
      "description": "package ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "packageID",
      "in": "query"
    },
    "packageNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[contains]",
      "in": "query"
    },
    "packageNameEndsWithFilter": {
      "type": "string",
      "name": "packageName[end]",
      "in": "query"
    },
    "packageNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[is]",
      "in": "query"
    },
    "packageNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[isNot]",
      "in": "query"
    },
    "packageNameStartsWithFilter": {
      "type": "string",
      "name": "packageName[start]",
      "in": "query"
    },
    "packageVersionContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[contains]",
      "in": "query"
    },
    "packageVersionEndsWithFilter": {
      "type": "string",
      "name": "packageVersion[end]",
      "in": "query"
    },
    "packageVersionIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[is]",
      "in": "query"
    },
    "packageVersionIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[isNot]",
      "in": "query"
    },
    "packageVersionStartsWithFilter": {
      "type": "string",
      "name": "packageVersion[start]",
      "in": "query"
    },
    "packagesApplicationResourcesSortKey": {
      "enum": [
        "resourceName",
        "resourceHash"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "packagesGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "packages[gte]",
      "in": "query"
    },
    "packagesIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "packages[is]",
      "in": "query"
    },
    "packagesIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "packages[isNot]",
      "in": "query"
    },
    "packagesLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "packages[lte]",
      "in": "query"
    },
    "packagesSortKey": {
      "enum": [
        "packageName",
        "applications",
        "applicationResources",
        "language",
        "vulnerabilities",
        "version",
        "license"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "page": {
      "type": "integer",
      "description": "Page number of the query",
      "name": "page",
      "in": "query",
      "required": true
    },
    "pageSize": {
      "maximum": 50,
      "minimum": 1,
      "type": "integer",
      "description": "Maximum items to return",
      "name": "pageSize",
      "in": "query",
      "required": true
    },
    "pkg_id": {
      "type": "string",
      "name": "pkg_id",
      "in": "path",
      "required": true
    },
    "reportingSBOMAnalyzersContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingSBOMAnalyzers[containElements]",
      "in": "query"
    },
    "reportingSBOMAnalyzersDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingSBOMAnalyzers[doesntContainElements]",
      "in": "query"
    },
    "reportingScannersContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingScanners[containElements]",
      "in": "query"
    },
    "reportingScannersDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingScanners[doesntContainElements]",
      "in": "query"
    },
    "resourceHashContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[contains]",
      "in": "query"
    },
    "resourceHashEndsWithFilter": {
      "type": "string",
      "name": "resourceHash[end]",
      "in": "query"
    },
    "resourceHashIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[is]",
      "in": "query"
    },
    "resourceHashIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[isNot]",
      "in": "query"
    },
    "resourceHashStartsWithFilter": {
      "type": "string",
      "name": "resourceHash[start]",
      "in": "query"
    },
    "resourceNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[contains]",
      "in": "query"
    },
    "resourceNameEndsWithFilter": {
      "type": "string",
      "name": "resourceName[end]",
      "in": "query"
    },
    "resourceNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[is]",
      "in": "query"
    },
    "resourceNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[isNot]",
      "in": "query"
    },
    "resourceNameStartsWithFilter": {
      "type": "string",
      "name": "resourceName[start]",
      "in": "query"
    },
    "resourceTypeIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "IMAGE",
          "DIRECTORY",
          "FILE"
        ],
        "type": "string"
      },
      "name": "resourceType[is]",
      "in": "query"
    },
    "sortDir": {
      "enum": [
        "ASC",
        "DESC"
      ],
      "type": "string",
      "default": "ASC",
      "description": "Sorting direction",
      "name": "sortDir",
      "in": "query"
    },
    "startTime": {
      "type": "string",
      "format": "date-time",
      "description": "Start time of the query",
      "name": "startTime",
      "in": "query",
      "required": true
    },
    "vul_id": {
      "type": "string",
      "name": "vul_id",
      "in": "path",
      "required": true
    },
    "vulnerabilitiesSortKey": {
      "enum": [
        "vulnerabilityName",
        "packageName",
        "packageVersion",
        "severity",
        "applications",
        "applicationResources",
        "fixVersion",
        "source"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "vulnerabilityNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[contains]",
      "in": "query"
    },
    "vulnerabilityNameEndsWithFilter": {
      "type": "string",
      "name": "vulnerabilityName[end]",
      "in": "query"
    },
    "vulnerabilityNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[is]",
      "in": "query"
    },
    "vulnerabilityNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[isNot]",
      "in": "query"
    },
    "vulnerabilityNameStartsWithFilter": {
      "type": "string",
      "name": "vulnerabilityName[start]",
      "in": "query"
    },
    "vulnerabilitySeverityGteFilter": {
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ],
      "type": "string",
      "name": "vulnerabilitySeverity[gte]",
      "in": "query"
    },
    "vulnerabilitySeverityIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CRITICAL",
          "HIGH",
          "MEDIUM",
          "LOW",
          "NEGLIGIBLE"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySeverity[is]",
      "in": "query"
    },
    "vulnerabilitySeverityIsNotFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CRITICAL",
          "HIGH",
          "MEDIUM",
          "LOW",
          "NEGLIGIBLE"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySeverity[isNot]",
      "in": "query"
    },
    "vulnerabilitySeverityLteFilter": {
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ],
      "type": "string",
      "name": "vulnerabilitySeverity[lte]",
      "in": "query"
    },
    "vulnerabilitySourceIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CICD",
          "RUNTIME"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySource[is]",
      "in": "query"
    }
  },
  "responses": {
    "Success": {
      "description": "success message",
      "schema": {
        "$ref": "#/definitions/SuccessResponse"
      }
    },
    "UnknownError": {
      "description": "unknown error",
      "schema": {
        "$ref": "#/definitions/ApiResponse"
      }
    }
  }
}`))
	FlatSwaggerJSON = json.RawMessage([]byte(`{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "http"
  ],
  "swagger": "2.0",
  "info": {
    "title": "KubeClarity APIs",
    "version": "1.0.0"
  },
  "basePath": "/api",
  "paths": {
    "/applicationResources": {
      "get": {
        "summary": "Get application resources",
        "parameters": [
          {
            "type": "integer",
            "description": "Page number of the query",
            "name": "page",
            "in": "query",
            "required": true
          },
          {
            "maximum": 50,
            "minimum": 1,
            "type": "integer",
            "description": "Maximum items to return",
            "name": "pageSize",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "resourceName",
              "resourceHash",
              "resourceType",
              "vulnerabilities",
              "cisDockerBenchmarkResults",
              "applications",
              "packages"
            ],
            "type": "string",
            "description": "Sort key",
            "name": "sortKey",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "ASC",
              "DESC"
            ],
            "type": "string",
            "default": "ASC",
            "description": "Sorting direction",
            "name": "sortDir",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceHash[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceHash[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "enum": [
                "IMAGE",
                "DIRECTORY",
                "FILE"
              ],
              "type": "string"
            },
            "name": "resourceType[is]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[gte]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[lte]",
            "in": "query"
          },
          {
            "enum": [
              "INFO",
              "WARN",
              "FATAL"
            ],
            "type": "string",
            "name": "cisDockerBenchmarkLevel[gte]",
            "in": "query"
          },
          {
            "enum": [
              "INFO",
              "WARN",
              "FATAL"
            ],
            "type": "string",
            "name": "cisDockerBenchmarkLevel[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applications[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applications[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "packages[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "packages[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "packages[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "packages[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingSBOMAnalyzers[containElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingSBOMAnalyzers[doesntContainElements]",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationID",
            "in": "query"
          },
          {
            "type": "string",
            "description": "package ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "packageID",
            "in": "query"
          },
          {
            "type": "boolean",
            "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "currentRuntimeScan",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of application resources in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/ApplicationResource"
                  }
                },
                "total": {
                  "description": "Total application resources count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/applicationResources/{id}": {
      "get": {
        "summary": "Get Application Resource",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/ApplicationResourceEx"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/applications": {
      "get": {
        "summary": "Get applications",
        "parameters": [
          {
            "type": "integer",
            "description": "Page number of the query",
            "name": "page",
            "in": "query",
            "required": true
          },
          {
            "maximum": 50,
            "minimum": 1,
            "type": "integer",
            "description": "Maximum items to return",
            "name": "pageSize",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "applicationName",
              "applicationType",
              "vulnerabilities",
              "cisDockerBenchmarkResults",
              "applicationResources",
              "packages"
            ],
            "type": "string",
            "description": "Sort key",
            "name": "sortKey",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "ASC",
              "DESC"
            ],
            "type": "string",
            "default": "ASC",
            "description": "Sorting direction",
            "name": "sortDir",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "applicationName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "applicationName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "enum": [
                "POD",
                "DIRECTORY",
                "LAMBDA"
              ],
              "type": "string"
            },
            "name": "applicationType[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationLabels[containElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationLabels[doesntContainElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationEnvs[containElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "applicationEnvs[doesntContainElements]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[gte]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[lte]",
            "in": "query"
          },
          {
            "enum": [
              "INFO",
              "WARN",
              "FATAL"
            ],
            "type": "string",
            "name": "cisDockerBenchmarkLevel[gte]",
            "in": "query"
          },
          {
            "enum": [
              "INFO",
              "WARN",
              "FATAL"
            ],
            "type": "string",
            "name": "cisDockerBenchmarkLevel[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applicationResources[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applicationResources[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "packages[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "packages[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "packages[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "packages[lte]",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application resource ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationResourceID",
            "in": "query"
          },
          {
            "type": "string",
            "description": "package ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "packageID",
            "in": "query"
          },
          {
            "type": "boolean",
            "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "currentRuntimeScan",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of applications in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Application"
                  }
                },
                "total": {
                  "description": "Total applications count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      },
      "post": {
        "summary": "Create application",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "New application was created.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "409": {
            "description": "Application already exist.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/applications/contentAnalysis/{id}": {
      "post": {
        "summary": "Report a content analysis for a specific application",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationContentAnalysis"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Application content analysis successfully reported."
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/applications/vulnerabilityScan/{id}": {
      "post": {
        "summary": "Report a vulnerability scan for a specific application",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationVulnerabilityScan"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Application vulnerability scan successfully reported."
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/applications/{id}": {
      "get": {
        "summary": "Get Application.",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/ApplicationEx"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      },
      "put": {
        "summary": "Update Application.",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Update Application successful.",
            "schema": {
              "$ref": "#/definitions/ApplicationInfo"
            }
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      },
      "delete": {
        "summary": "Delete Application.",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "204": {
            "description": "Success"
          },
          "404": {
            "description": "Application not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/counters": {
      "get": {
        "summary": "Get number of applications, resources, packages and vulnerabilities",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/DashboardCounters"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/mostVulnerable": {
      "get": {
        "summary": "Get top 5 most vulnerable applications, resources and packages",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/MostVulnerable"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/packagesPerLanguage": {
      "get": {
        "summary": "Get packages count per language",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/PackagesCountPerLanguage"
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/packagesPerLicense": {
      "get": {
        "summary": "Get packages count per license type",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/PackagesCountPerLicense"
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/trends/vulnerabilities": {
      "get": {
        "summary": "Get new vulnerabilities trend",
        "parameters": [
          {
            "type": "string",
            "format": "date-time",
            "description": "Start time of the query",
            "name": "startTime",
            "in": "query",
            "required": true
          },
          {
            "type": "string",
            "format": "date-time",
            "description": "End time of the query",
            "name": "endTime",
            "in": "query",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/NewVulnerabilitiesTrend"
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/dashboard/vulnerabilitiesWithFix": {
      "get": {
        "summary": "Get vulnerabilities with fix available per severity",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/VulnerabilitiesWithFix"
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/namespaces": {
      "get": {
        "summary": "Get list of namespaces in kubernetes cluster",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/Namespace"
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/packages": {
      "get": {
        "summary": "Get packages",
        "parameters": [
          {
            "type": "integer",
            "description": "Page number of the query",
            "name": "page",
            "in": "query",
            "required": true
          },
          {
            "maximum": 50,
            "minimum": 1,
            "type": "integer",
            "description": "Maximum items to return",
            "name": "pageSize",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "packageName",
              "applications",
              "applicationResources",
              "language",
              "vulnerabilities",
              "version",
              "license"
            ],
            "type": "string",
            "description": "Sort key",
            "name": "sortKey",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "ASC",
              "DESC"
            ],
            "type": "string",
            "default": "ASC",
            "description": "Sorting direction",
            "name": "sortDir",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applications[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applications[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applicationResources[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applicationResources[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "language[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "language[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "language[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "language[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "language[contains]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[gte]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageVersion[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageVersion[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "license[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "license[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "license[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "license[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "license[contains]",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationID",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application resource ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationResourceID",
            "in": "query"
          },
          {
            "type": "boolean",
            "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "currentRuntimeScan",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of packages in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Package"
                  }
                },
                "total": {
                  "description": "Total packages count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/packages/{id}": {
      "get": {
        "summary": "Get Package.",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/Package"
            }
          },
          "404": {
            "description": "Package ID not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/packages/{id}/applicationResources": {
      "get": {
        "summary": "Get Package application resources",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true
          },
          {
            "type": "integer",
            "description": "Page number of the query",
            "name": "page",
            "in": "query",
            "required": true
          },
          {
            "maximum": 50,
            "minimum": 1,
            "type": "integer",
            "description": "Maximum items to return",
            "name": "pageSize",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "resourceName",
              "resourceHash"
            ],
            "type": "string",
            "description": "Sort key",
            "name": "sortKey",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "ASC",
              "DESC"
            ],
            "type": "string",
            "default": "ASC",
            "description": "Sorting direction",
            "name": "sortDir",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceHash[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "resourceHash[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "resourceHash[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingSBOMAnalyzers[containElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingSBOMAnalyzers[doesntContainElements]",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of package application resources in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/PackageApplicationResources"
                  }
                },
                "total": {
                  "description": "Total package application resources count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "404": {
            "description": "Package ID not found."
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/runtime/quickscan/config": {
      "get": {
        "summary": "Get runtime quick scan configuration",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/RuntimeQuickScanConfig"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      },
      "put": {
        "summary": "Set runtime quick scan configuration",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/RuntimeQuickScanConfig"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "description": "success message",
              "schema": {
                "$ref": "#/definitions/SuccessResponse"
              }
            }
          },
          "400": {
            "description": "Failed to set quick scan config",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/runtime/scan/progress": {
      "get": {
        "summary": "Get scan progress",
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/Progress"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/runtime/scan/results": {
      "get": {
        "summary": "Get scan results",
        "parameters": [
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[gte]",
            "in": "query"
          },
          {
            "enum": [
              "INFO",
              "WARN",
              "FATAL"
            ],
            "type": "string",
            "name": "cisDockerBenchmarkLevel[gte]",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/RuntimeScanResults"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/runtime/scan/start": {
      "put": {
        "summary": "Start a runtime scan",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "description": "Runtime scan configuration",
              "$ref": "#/definitions/RuntimeScanConfig"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "description": "success message",
              "schema": {
                "$ref": "#/definitions/SuccessResponse"
              }
            }
          },
          "400": {
            "description": "Scan failed to start",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/runtime/scan/stop": {
      "put": {
        "summary": "Stop a runtime scan",
        "responses": {
          "201": {
            "description": "Success",
            "schema": {
              "description": "success message",
              "schema": {
                "$ref": "#/definitions/SuccessResponse"
              }
            }
          },
          "400": {
            "description": "Scan failed to stop",
            "schema": {
              "type": "string"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/vulnerabilities": {
      "get": {
        "summary": "Get vulnerabilities",
        "parameters": [
          {
            "type": "integer",
            "description": "Page number of the query",
            "name": "page",
            "in": "query",
            "required": true
          },
          {
            "maximum": 50,
            "minimum": 1,
            "type": "integer",
            "description": "Maximum items to return",
            "name": "pageSize",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "vulnerabilityName",
              "packageName",
              "packageVersion",
              "severity",
              "applications",
              "applicationResources",
              "fixVersion",
              "source"
            ],
            "type": "string",
            "description": "Sort key",
            "name": "sortKey",
            "in": "query",
            "required": true
          },
          {
            "enum": [
              "ASC",
              "DESC"
            ],
            "type": "string",
            "default": "ASC",
            "description": "Sorting direction",
            "name": "sortDir",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "vulnerabilityName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "vulnerabilityName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "vulnerabilityName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "vulnerabilityName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "vulnerabilityName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageName[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageName[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageName[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[isNot]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageVersion[start]",
            "in": "query"
          },
          {
            "type": "string",
            "name": "packageVersion[end]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "packageVersion[contains]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "enum": [
                "CRITICAL",
                "HIGH",
                "MEDIUM",
                "LOW",
                "NEGLIGIBLE"
              ],
              "type": "string"
            },
            "name": "vulnerabilitySeverity[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "enum": [
                "CRITICAL",
                "HIGH",
                "MEDIUM",
                "LOW",
                "NEGLIGIBLE"
              ],
              "type": "string"
            },
            "name": "vulnerabilitySeverity[isNot]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[gte]",
            "in": "query"
          },
          {
            "enum": [
              "CRITICAL",
              "HIGH",
              "MEDIUM",
              "LOW",
              "NEGLIGIBLE"
            ],
            "type": "string",
            "name": "vulnerabilitySeverity[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applicationResources[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applicationResources[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applicationResources[lte]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "integer"
            },
            "name": "applications[isNot]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "greater than or equal",
            "name": "applications[gte]",
            "in": "query"
          },
          {
            "type": "integer",
            "description": "less than or equal",
            "name": "applications[lte]",
            "in": "query"
          },
          {
            "type": "boolean",
            "name": "hasFixVersion[is]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingScanners[containElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "type": "string"
            },
            "name": "reportingScanners[doesntContainElements]",
            "in": "query"
          },
          {
            "type": "array",
            "items": {
              "enum": [
                "CICD",
                "RUNTIME"
              ],
              "type": "string"
            },
            "name": "vulnerabilitySource[is]",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationID",
            "in": "query"
          },
          {
            "type": "string",
            "description": "application resource ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "applicationResourceID",
            "in": "query"
          },
          {
            "type": "boolean",
            "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
            "name": "currentRuntimeScan",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "type": "object",
              "required": [
                "total"
              ],
              "properties": {
                "items": {
                  "description": "List of vulnerabilities in the given filters and page. List length must be lower or equal to pageSize",
                  "type": "array",
                  "items": {
                    "$ref": "#/definitions/Vulnerability"
                  }
                },
                "total": {
                  "description": "Total vulnerabilities count under the given filters",
                  "type": "integer"
                }
              }
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    },
    "/vulnerabilities/{vul_id}/{pkg_id}": {
      "get": {
        "summary": "Get a vulnerability of a specific package",
        "parameters": [
          {
            "type": "string",
            "name": "vul_id",
            "in": "path",
            "required": true
          },
          {
            "type": "string",
            "name": "pkg_id",
            "in": "path",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "schema": {
              "$ref": "#/definitions/VulnerabilityEx"
            }
          },
          "default": {
            "description": "unknown error",
            "schema": {
              "$ref": "#/definitions/ApiResponse"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "ApiResponse": {
      "description": "An object that is returned in all cases of failures.",
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "Application": {
      "type": "object",
      "properties": {
        "applicationName": {
          "type": "string"
        },
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applicationType": {
          "$ref": "#/definitions/ApplicationType"
        },
        "cisDockerBenchmarkResults": {
          "description": "cis docker benchmark result count per level",
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "environments": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "id": {
          "type": "string"
        },
        "labels": {
          "type": "array",
          "items": {
            "description": "label in the format of key=value",
            "type": "string"
          }
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "vulnerabilities": {
          "description": "vulnerability count per severity",
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "ApplicationContentAnalysis": {
      "type": "object",
      "properties": {
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceContentAnalysis"
          }
        }
      }
    },
    "ApplicationEx": {
      "type": "object",
      "properties": {
        "application": {
          "$ref": "#/definitions/Application"
        },
        "licenses": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ApplicationInfo": {
      "type": "object",
      "required": [
        "name",
        "type"
      ],
      "properties": {
        "environments": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "id": {
          "description": "ID of the application as created by the backend.",
          "type": "string"
        },
        "labels": {
          "type": "array",
          "items": {
            "description": "label in the format of key=value",
            "type": "string"
          }
        },
        "name": {
          "type": "string"
        },
        "type": {
          "$ref": "#/definitions/ApplicationType"
        }
      }
    },
    "ApplicationResource": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "cisDockerBenchmarkResults": {
          "description": "cis docker benchmark result count per level",
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "id": {
          "type": "string"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "reportingSBOMAnalyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "resourceHash": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        },
        "resourceType": {
          "$ref": "#/definitions/ResourceType"
        },
        "vulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "ApplicationResourceEx": {
      "type": "object",
      "properties": {
        "applicationResource": {
          "$ref": "#/definitions/ApplicationResource"
        },
        "licenses": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "ApplicationResourcesSortKey": {
      "type": "string",
      "enum": [
        "resourceName",
        "resourceHash",
        "resourceType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applications",
        "packages"
      ]
    },
    "ApplicationType": {
      "type": "string",
      "enum": [
        "POD",
        "DIRECTORY",
        "LAMBDA"
      ]
    },
    "ApplicationVulnerabilityScan": {
      "type": "object",
      "properties": {
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceVulnerabilityScan"
          }
        }
      }
    },
    "ApplicationsSortKey": {
      "type": "string",
      "enum": [
        "applicationName",
        "applicationType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applicationResources",
        "packages"
      ]
    },
    "AttackComplexity": {
      "type": "string",
      "enum": [
        "LOW",
        "HIGH"
      ]
    },
    "AttackVector": {
      "type": "string",
      "enum": [
        "NETWORK",
        "ADJACENT",
        "LOCAL",
        "PHYSICAL"
      ]
    },
    "Availability": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "CISDockerBenchmarkAssessment": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "desc": {
          "type": "string"
        },
        "filename": {
          "type": "string"
        },
        "level": {
          "type": "number",
          "format": "integer"
        }
      }
    },
    "CISDockerBenchmarkCodeInfo": {
      "type": "object",
      "properties": {
        "assessments": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkAssessment"
          }
        },
        "code": {
          "type": "string"
        },
        "level": {
          "type": "number",
          "format": "integer"
        }
      }
    },
    "CISDockerBenchmarkLevel": {
      "type": "string",
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ]
    },
    "CISDockerBenchmarkLevelCount": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "level": {
          "$ref": "#/definitions/CISDockerBenchmarkLevel"
        }
      }
    },
    "CISDockerBenchmarkScanCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "CVSS": {
      "type": "object",
      "properties": {
        "cvssV3Metrics": {
          "$ref": "#/definitions/CVSSV3Metrics"
        },
        "cvssV3Vector": {
          "$ref": "#/definitions/CVSSV3Vector"
        }
      }
    },
    "CVSSV3Metrics": {
      "type": "object",
      "properties": {
        "baseScore": {
          "type": "number"
        },
        "exploitabilityScore": {
          "type": "number"
        },
        "impactScore": {
          "type": "number"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "CVSSV3Vector": {
      "type": "object",
      "properties": {
        "attackComplexity": {
          "$ref": "#/definitions/AttackComplexity"
        },
        "attackVector": {
          "$ref": "#/definitions/AttackVector"
        },
        "availability": {
          "$ref": "#/definitions/Availability"
        },
        "confidentiality": {
          "$ref": "#/definitions/Confidentiality"
        },
        "integrity": {
          "$ref": "#/definitions/Integrity"
        },
        "privilegesRequired": {
          "$ref": "#/definitions/PrivilegesRequired"
        },
        "scope": {
          "$ref": "#/definitions/Scope"
        },
        "userInteraction": {
          "$ref": "#/definitions/UserInteraction"
        },
        "vector": {
          "type": "string"
        }
      }
    },
    "Confidentiality": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "DashboardCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "Integrity": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "MostVulnerable": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Application"
          }
        },
        "packages": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/Package"
          }
        },
        "resources": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ApplicationResource"
          }
        }
      }
    },
    "Namespace": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "NewVulnerabilitiesTrend": {
      "type": "object",
      "properties": {
        "numOfVuls": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        },
        "time": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "Package": {
      "type": "object",
      "properties": {
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "id": {
          "type": "string"
        },
        "language": {
          "type": "string"
        },
        "license": {
          "type": "string"
        },
        "packageName": {
          "type": "string"
        },
        "version": {
          "type": "string"
        },
        "vulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "PackageApplicationResources": {
      "type": "object",
      "properties": {
        "packageID": {
          "type": "string"
        },
        "reportingSBOMAnalyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "resourceHash": {
          "type": "string"
        },
        "resourceID": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        }
      }
    },
    "PackageContentAnalysis": {
      "type": "object",
      "properties": {
        "analyzers": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "package": {
          "$ref": "#/definitions/PackageInfo"
        }
      }
    },
    "PackageInfo": {
      "type": "object",
      "properties": {
        "language": {
          "type": "string"
        },
        "license": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "version": {
          "type": "string"
        }
      }
    },
    "PackageVulnerabilityScan": {
      "type": "object",
      "properties": {
        "cvss": {
          "$ref": "#/definitions/CVSS"
        },
        "description": {
          "type": "string"
        },
        "fixVersion": {
          "type": "string"
        },
        "layerID": {
          "type": "string"
        },
        "links": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "package": {
          "$ref": "#/definitions/PackageInfo"
        },
        "scanners": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "vulnerabilityName": {
          "type": "string"
        }
      }
    },
    "PackagesApplicationResourcesSortKey": {
      "type": "string",
      "enum": [
        "resourceName",
        "resourceHash"
      ]
    },
    "PackagesCountPerLanguage": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "language": {
          "type": "string"
        }
      }
    },
    "PackagesCountPerLicense": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "license": {
          "type": "string"
        }
      }
    },
    "PackagesSortKey": {
      "type": "string",
      "enum": [
        "packageName",
        "applications",
        "applicationResources",
        "language",
        "vulnerabilities",
        "version",
        "license"
      ]
    },
    "PrivilegesRequired": {
      "type": "string",
      "enum": [
        "NONE",
        "LOW",
        "HIGH"
      ]
    },
    "Progress": {
      "type": "object",
      "properties": {
        "scanned": {
          "description": "Percentage of scanned images from total images (0-100)",
          "type": "integer",
          "minimum": 0
        },
        "scannedNamespaces": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "status": {
          "$ref": "#/definitions/RuntimeScanStatus"
        }
      }
    },
    "ResourceContentAnalysis": {
      "type": "object",
      "properties": {
        "packages": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/PackageContentAnalysis"
          }
        },
        "resource": {
          "$ref": "#/definitions/ResourceInfo"
        }
      }
    },
    "ResourceInfo": {
      "type": "object",
      "properties": {
        "resourceHash": {
          "type": "string"
        },
        "resourceName": {
          "type": "string"
        },
        "resourceType": {
          "$ref": "#/definitions/ResourceType"
        }
      }
    },
    "ResourceLayerCommand": {
      "description": "Container image layer with command.",
      "type": "object",
      "properties": {
        "command": {
          "type": "string"
        },
        "layer": {
          "type": "string"
        }
      }
    },
    "ResourceType": {
      "type": "string",
      "enum": [
        "IMAGE",
        "DIRECTORY",
        "FILE"
      ]
    },
    "ResourceVulnerabilityScan": {
      "type": "object",
      "properties": {
        "cisDockerBenchmarkResults": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkCodeInfo"
          }
        },
        "packageVulnerabilities": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/PackageVulnerabilityScan"
          }
        },
        "resource": {
          "$ref": "#/definitions/ResourceInfo"
        },
        "resourceLayerCommands": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/ResourceLayerCommand"
          }
        }
      }
    },
    "RuntimeQuickScanConfig": {
      "description": "Runtime quick scan configuration",
      "type": "object",
      "properties": {
        "cisDockerBenchmarkScanEnabled": {
          "type": "boolean"
        }
      }
    },
    "RuntimeScanConfig": {
      "type": "object",
      "properties": {
        "namespaces": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    },
    "RuntimeScanCounters": {
      "type": "object",
      "properties": {
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "packages": {
          "type": "integer",
          "format": "uint32"
        },
        "resources": {
          "type": "integer",
          "format": "uint32"
        },
        "vulnerabilities": {
          "type": "integer",
          "format": "uint32"
        }
      }
    },
    "RuntimeScanFailure": {
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "RuntimeScanResults": {
      "type": "object",
      "properties": {
        "cisDockerBenchmarkCountPerLevel": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/CISDockerBenchmarkLevelCount"
          }
        },
        "cisDockerBenchmarkCounters": {
          "$ref": "#/definitions/CISDockerBenchmarkScanCounters"
        },
        "cisDockerBenchmarkScanEnabled": {
          "description": "Indicates whether CIS docker benchmark scan was enabled",
          "type": "boolean"
        },
        "counters": {
          "$ref": "#/definitions/RuntimeScanCounters"
        },
        "failures": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/RuntimeScanFailure"
          }
        },
        "vulnerabilityPerSeverity": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/VulnerabilityCount"
          }
        }
      }
    },
    "RuntimeScanStatus": {
      "description": "Status of a runtime scan",
      "type": "string",
      "enum": [
        "NOT_STARTED",
        "IN_PROGRESS",
        "FINALIZING",
        "DONE"
      ],
      "readOnly": true
    },
    "Scope": {
      "type": "string",
      "enum": [
        "UNCHANGED",
        "CHANGED"
      ]
    },
    "SuccessResponse": {
      "description": "An object that is returned in cases of success that returns nothing.",
      "type": "object",
      "properties": {
        "message": {
          "type": "string"
        }
      }
    },
    "UserInteraction": {
      "type": "string",
      "enum": [
        "NONE",
        "REQUIRED"
      ]
    },
    "VulnerabilitiesSortKey": {
      "type": "string",
      "enum": [
        "vulnerabilityName",
        "packageName",
        "packageVersion",
        "severity",
        "applications",
        "applicationResources",
        "fixVersion",
        "source"
      ]
    },
    "VulnerabilitiesWithFix": {
      "description": "Vulnerabilities count per severity (with fix and total).",
      "type": "object",
      "properties": {
        "countTotal": {
          "type": "integer",
          "format": "uint32"
        },
        "countWithFix": {
          "type": "integer",
          "format": "uint32"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "Vulnerability": {
      "type": "object",
      "properties": {
        "applicationResources": {
          "type": "integer",
          "format": "uint32"
        },
        "applications": {
          "type": "integer",
          "format": "uint32"
        },
        "cvssBaseScore": {
          "type": "number"
        },
        "cvssSeverity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "fixVersion": {
          "type": "string"
        },
        "id": {
          "description": "Unique ID for the vulnerabilityID and packageID combination.",
          "type": "string"
        },
        "packageID": {
          "type": "string"
        },
        "packageName": {
          "type": "string"
        },
        "packageVersion": {
          "type": "string"
        },
        "reportingScanners": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        },
        "source": {
          "$ref": "#/definitions/VulnerabilitySource"
        },
        "vulnerabilityID": {
          "type": "string"
        },
        "vulnerabilityName": {
          "type": "string"
        }
      }
    },
    "VulnerabilityCount": {
      "type": "object",
      "properties": {
        "count": {
          "type": "integer",
          "format": "uint32"
        },
        "severity": {
          "$ref": "#/definitions/VulnerabilitySeverity"
        }
      }
    },
    "VulnerabilityEx": {
      "type": "object",
      "properties": {
        "cvss": {
          "$ref": "#/definitions/CVSS"
        },
        "description": {
          "type": "string"
        },
        "links": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "scanDate": {
          "type": "string",
          "format": "date-time"
        },
        "vulnerability": {
          "$ref": "#/definitions/Vulnerability"
        }
      }
    },
    "VulnerabilitySeverity": {
      "type": "string",
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ]
    },
    "VulnerabilitySource": {
      "type": "string",
      "enum": [
        "CICD",
        "RUNTIME"
      ]
    }
  },
  "parameters": {
    "applicationEnvsContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationEnvs[containElements]",
      "in": "query"
    },
    "applicationEnvsDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationEnvs[doesntContainElements]",
      "in": "query"
    },
    "applicationID": {
      "type": "string",
      "description": "application ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "applicationID",
      "in": "query"
    },
    "applicationLabelsContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationLabels[containElements]",
      "in": "query"
    },
    "applicationLabelsDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationLabels[doesntContainElements]",
      "in": "query"
    },
    "applicationNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[contains]",
      "in": "query"
    },
    "applicationNameEndsWithFilter": {
      "type": "string",
      "name": "applicationName[end]",
      "in": "query"
    },
    "applicationNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[is]",
      "in": "query"
    },
    "applicationNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "applicationName[isNot]",
      "in": "query"
    },
    "applicationNameStartsWithFilter": {
      "type": "string",
      "name": "applicationName[start]",
      "in": "query"
    },
    "applicationResourceID": {
      "type": "string",
      "description": "application resource ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "applicationResourceID",
      "in": "query"
    },
    "applicationResourcesGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "applicationResources[gte]",
      "in": "query"
    },
    "applicationResourcesIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applicationResources[is]",
      "in": "query"
    },
    "applicationResourcesIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applicationResources[isNot]",
      "in": "query"
    },
    "applicationResourcesLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "applicationResources[lte]",
      "in": "query"
    },
    "applicationResourcesSortKey": {
      "enum": [
        "resourceName",
        "resourceHash",
        "resourceType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applications",
        "packages"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "applicationTypeIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "POD",
          "DIRECTORY",
          "LAMBDA"
        ],
        "type": "string"
      },
      "name": "applicationType[is]",
      "in": "query"
    },
    "applicationsGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "applications[gte]",
      "in": "query"
    },
    "applicationsIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applications[is]",
      "in": "query"
    },
    "applicationsIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "applications[isNot]",
      "in": "query"
    },
    "applicationsLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "applications[lte]",
      "in": "query"
    },
    "applicationsSortKey": {
      "enum": [
        "applicationName",
        "applicationType",
        "vulnerabilities",
        "cisDockerBenchmarkResults",
        "applicationResources",
        "packages"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "cisDockerBenchmarkLevelGteFilter": {
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ],
      "type": "string",
      "name": "cisDockerBenchmarkLevel[gte]",
      "in": "query"
    },
    "cisDockerBenchmarkLevelLteFilter": {
      "enum": [
        "INFO",
        "WARN",
        "FATAL"
      ],
      "type": "string",
      "name": "cisDockerBenchmarkLevel[lte]",
      "in": "query"
    },
    "currentRuntimeScan": {
      "type": "boolean",
      "description": "current runtime scan system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "currentRuntimeScan",
      "in": "query"
    },
    "endTime": {
      "type": "string",
      "format": "date-time",
      "description": "End time of the query",
      "name": "endTime",
      "in": "query",
      "required": true
    },
    "hasFixVersion": {
      "type": "boolean",
      "name": "hasFixVersion[is]",
      "in": "query"
    },
    "id": {
      "type": "string",
      "name": "id",
      "in": "path",
      "required": true
    },
    "languageContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[contains]",
      "in": "query"
    },
    "languageEndsWithFilter": {
      "type": "string",
      "name": "language[end]",
      "in": "query"
    },
    "languageIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[is]",
      "in": "query"
    },
    "languageIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "language[isNot]",
      "in": "query"
    },
    "languageStartsWithFilter": {
      "type": "string",
      "name": "language[start]",
      "in": "query"
    },
    "licenseContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[contains]",
      "in": "query"
    },
    "licenseEndsWithFilter": {
      "type": "string",
      "name": "license[end]",
      "in": "query"
    },
    "licenseIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[is]",
      "in": "query"
    },
    "licenseIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "license[isNot]",
      "in": "query"
    },
    "licenseStartsWithFilter": {
      "type": "string",
      "name": "license[start]",
      "in": "query"
    },
    "packageID": {
      "type": "string",
      "description": "package ID system filter, not visible to the user. only one of applicationID, applicationResourceID, packageID, currentRuntimeScan is allowed",
      "name": "packageID",
      "in": "query"
    },
    "packageNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[contains]",
      "in": "query"
    },
    "packageNameEndsWithFilter": {
      "type": "string",
      "name": "packageName[end]",
      "in": "query"
    },
    "packageNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[is]",
      "in": "query"
    },
    "packageNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageName[isNot]",
      "in": "query"
    },
    "packageNameStartsWithFilter": {
      "type": "string",
      "name": "packageName[start]",
      "in": "query"
    },
    "packageVersionContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[contains]",
      "in": "query"
    },
    "packageVersionEndsWithFilter": {
      "type": "string",
      "name": "packageVersion[end]",
      "in": "query"
    },
    "packageVersionIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[is]",
      "in": "query"
    },
    "packageVersionIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "packageVersion[isNot]",
      "in": "query"
    },
    "packageVersionStartsWithFilter": {
      "type": "string",
      "name": "packageVersion[start]",
      "in": "query"
    },
    "packagesApplicationResourcesSortKey": {
      "enum": [
        "resourceName",
        "resourceHash"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "packagesGteFilter": {
      "type": "integer",
      "description": "greater than or equal",
      "name": "packages[gte]",
      "in": "query"
    },
    "packagesIsFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "packages[is]",
      "in": "query"
    },
    "packagesIsNotFilter": {
      "type": "array",
      "items": {
        "type": "integer"
      },
      "name": "packages[isNot]",
      "in": "query"
    },
    "packagesLteFilter": {
      "type": "integer",
      "description": "less than or equal",
      "name": "packages[lte]",
      "in": "query"
    },
    "packagesSortKey": {
      "enum": [
        "packageName",
        "applications",
        "applicationResources",
        "language",
        "vulnerabilities",
        "version",
        "license"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "page": {
      "type": "integer",
      "description": "Page number of the query",
      "name": "page",
      "in": "query",
      "required": true
    },
    "pageSize": {
      "maximum": 50,
      "minimum": 1,
      "type": "integer",
      "description": "Maximum items to return",
      "name": "pageSize",
      "in": "query",
      "required": true
    },
    "pkg_id": {
      "type": "string",
      "name": "pkg_id",
      "in": "path",
      "required": true
    },
    "reportingSBOMAnalyzersContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingSBOMAnalyzers[containElements]",
      "in": "query"
    },
    "reportingSBOMAnalyzersDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingSBOMAnalyzers[doesntContainElements]",
      "in": "query"
    },
    "reportingScannersContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingScanners[containElements]",
      "in": "query"
    },
    "reportingScannersDoesntContainElementsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "reportingScanners[doesntContainElements]",
      "in": "query"
    },
    "resourceHashContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[contains]",
      "in": "query"
    },
    "resourceHashEndsWithFilter": {
      "type": "string",
      "name": "resourceHash[end]",
      "in": "query"
    },
    "resourceHashIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[is]",
      "in": "query"
    },
    "resourceHashIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceHash[isNot]",
      "in": "query"
    },
    "resourceHashStartsWithFilter": {
      "type": "string",
      "name": "resourceHash[start]",
      "in": "query"
    },
    "resourceNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[contains]",
      "in": "query"
    },
    "resourceNameEndsWithFilter": {
      "type": "string",
      "name": "resourceName[end]",
      "in": "query"
    },
    "resourceNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[is]",
      "in": "query"
    },
    "resourceNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "resourceName[isNot]",
      "in": "query"
    },
    "resourceNameStartsWithFilter": {
      "type": "string",
      "name": "resourceName[start]",
      "in": "query"
    },
    "resourceTypeIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "IMAGE",
          "DIRECTORY",
          "FILE"
        ],
        "type": "string"
      },
      "name": "resourceType[is]",
      "in": "query"
    },
    "sortDir": {
      "enum": [
        "ASC",
        "DESC"
      ],
      "type": "string",
      "default": "ASC",
      "description": "Sorting direction",
      "name": "sortDir",
      "in": "query"
    },
    "startTime": {
      "type": "string",
      "format": "date-time",
      "description": "Start time of the query",
      "name": "startTime",
      "in": "query",
      "required": true
    },
    "vul_id": {
      "type": "string",
      "name": "vul_id",
      "in": "path",
      "required": true
    },
    "vulnerabilitiesSortKey": {
      "enum": [
        "vulnerabilityName",
        "packageName",
        "packageVersion",
        "severity",
        "applications",
        "applicationResources",
        "fixVersion",
        "source"
      ],
      "type": "string",
      "description": "Sort key",
      "name": "sortKey",
      "in": "query",
      "required": true
    },
    "vulnerabilityNameContainsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[contains]",
      "in": "query"
    },
    "vulnerabilityNameEndsWithFilter": {
      "type": "string",
      "name": "vulnerabilityName[end]",
      "in": "query"
    },
    "vulnerabilityNameIsFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[is]",
      "in": "query"
    },
    "vulnerabilityNameIsNotFilter": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "name": "vulnerabilityName[isNot]",
      "in": "query"
    },
    "vulnerabilityNameStartsWithFilter": {
      "type": "string",
      "name": "vulnerabilityName[start]",
      "in": "query"
    },
    "vulnerabilitySeverityGteFilter": {
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ],
      "type": "string",
      "name": "vulnerabilitySeverity[gte]",
      "in": "query"
    },
    "vulnerabilitySeverityIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CRITICAL",
          "HIGH",
          "MEDIUM",
          "LOW",
          "NEGLIGIBLE"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySeverity[is]",
      "in": "query"
    },
    "vulnerabilitySeverityIsNotFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CRITICAL",
          "HIGH",
          "MEDIUM",
          "LOW",
          "NEGLIGIBLE"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySeverity[isNot]",
      "in": "query"
    },
    "vulnerabilitySeverityLteFilter": {
      "enum": [
        "CRITICAL",
        "HIGH",
        "MEDIUM",
        "LOW",
        "NEGLIGIBLE"
      ],
      "type": "string",
      "name": "vulnerabilitySeverity[lte]",
      "in": "query"
    },
    "vulnerabilitySourceIsFilter": {
      "type": "array",
      "items": {
        "enum": [
          "CICD",
          "RUNTIME"
        ],
        "type": "string"
      },
      "name": "vulnerabilitySource[is]",
      "in": "query"
    }
  },
  "responses": {
    "Success": {
      "description": "success message",
      "schema": {
        "$ref": "#/definitions/SuccessResponse"
      }
    },
    "UnknownError": {
      "description": "unknown error",
      "schema": {
        "$ref": "#/definitions/ApiResponse"
      }
    }
  }
}`))
}
